﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            WebDataGrid1.DataSource = GetTable();
            WebDataGrid1.DataBind();
        }
    }

    static DataTable GetTable()
    {
        //
        // Here we create a DataTable with four columns.
        //
        DataTable table = new DataTable();

        DataColumn colId = new DataColumn("id", Type.GetType("System.Int32"));
        colId.ReadOnly = true;
        colId.AutoIncrement = true;
        colId.AutoIncrementSeed = 6;
        colId.AutoIncrementStep = 1;
        table.Columns.Add(colId);

        DataColumn[] PrimaryKeyColumns = new DataColumn[1];
        PrimaryKeyColumns[0] = table.Columns["id"];
        table.PrimaryKey = PrimaryKeyColumns;

        table.Columns.Add("Dosage", typeof(int));
        table.Columns.Add("Drug", typeof(string));
        table.Columns.Add("Patient", typeof(string));
        table.Columns.Add("Date", typeof(DateTime));

        //
        // Here we add five DataRows.
        //
        table.Rows.Add(1, 25, "Indocin", "David", DateTime.Now);
        table.Rows.Add(2, 50, "Enebrel", "Sam", DateTime.Now);
        table.Rows.Add(3, 10, "Hydralazine", "Christoff", DateTime.Now);
        table.Rows.Add(4, 21, "Combivent", "Janet", DateTime.Now);
        table.Rows.Add(5, 100, "Dilantin", "Melanie", DateTime.Now);
        return table;
    }
}